# classes/phing/tasks/ext/pdo/PDOQuerySplitter.php

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This software consists of voluntary contributions made by many individuals and is licensed under the LGPL. For more information please see http://phing.info.

package
  phing.tasks.ext.pdo
version
  $Id: PDOQuerySplitter.php 1274 2011-08-17 13:38:07Z mrook $

## \PDOQuerySplitter
jump to top

Base class for classes that split SQL source into separate queries

author
  Alexey Borzov
package
  phing.tasks.ext.pdo
version
  $Revision: 1274 $

### Properties

`\PDOSQLExecTask $parent= ''`

Task that uses the splitter

Details

Type
  \PDOSQLExecTask

`\BufferedReader $sqlReader= ''`

Reader with SQL source

Details

Type
  \BufferedReader

### Methods

`__construct( \PDOSQLExecTask $parent, \Reader $reader ) :`
Constructor, sets the parent task and reader with SQL source
Parameters

Name | Type | Description
--- | --- | ---
$parent | \PDOSQLExecTask |
$reader | \Reader |

`nextQuery( ) : string|null`
abstractReturns next query from SQL source, null if no more queries left
Returns

Type | Description
--- | ---
stringnull |

Documentation was generated by DocBlox 0.13.1.